=== libmtp/examples/Makefile ===
# Makefile.in generated by automake 1.10 from Makefile.am.
# examples/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/libmtp
pkglibdir = $(libdir)/libmtp
pkgincludedir = $(includedir)/libmtp
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i386-apple-darwin11.1.0
host_triplet = i386-apple-darwin11.1.0
bin_PROGRAMS = mtp-connect$(EXEEXT) mtp-detect$(EXEEXT) \
	mtp-tracks$(EXEEXT) mtp-files$(EXEEXT) mtp-folders$(EXEEXT) \
	mtp-trexist$(EXEEXT) mtp-playlists$(EXEEXT) \
	mtp-getplaylist$(EXEEXT) mtp-format$(EXEEXT) \
	mtp-albumart$(EXEEXT) mtp-albums$(EXEEXT) \
	mtp-newplaylist$(EXEEXT) mtp-emptyfolders$(EXEEXT) \
	mtp-thumb$(EXEEXT) mtp-reset$(EXEEXT) mtp-filetree$(EXEEXT)
subdir = examples
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/byteorder.m4 \
	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/stdint.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
am__installdirs = "$(DESTDIR)$(bindir)"
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
PROGRAMS = $(bin_PROGRAMS)
am_mtp_albumart_OBJECTS = albumart.$(OBJEXT) util.$(OBJEXT)
mtp_albumart_OBJECTS = $(am_mtp_albumart_OBJECTS)
mtp_albumart_LDADD = $(LDADD)
mtp_albumart_DEPENDENCIES = ../src/libmtp.la
am_mtp_albums_OBJECTS = albums.$(OBJEXT) util.$(OBJEXT)
mtp_albums_OBJECTS = $(am_mtp_albums_OBJECTS)
mtp_albums_LDADD = $(LDADD)
mtp_albums_DEPENDENCIES = ../src/libmtp.la
am_mtp_connect_OBJECTS = connect.$(OBJEXT) delfile.$(OBJEXT) \
	getfile.$(OBJEXT) newfolder.$(OBJEXT) sendfile.$(OBJEXT) \
	sendtr.$(OBJEXT) pathutils.$(OBJEXT) util.$(OBJEXT)
mtp_connect_OBJECTS = $(am_mtp_connect_OBJECTS)
mtp_connect_LDADD = $(LDADD)
mtp_connect_DEPENDENCIES = ../src/libmtp.la
am_mtp_detect_OBJECTS = detect.$(OBJEXT) util.$(OBJEXT)
mtp_detect_OBJECTS = $(am_mtp_detect_OBJECTS)
mtp_detect_LDADD = $(LDADD)
mtp_detect_DEPENDENCIES = ../src/libmtp.la
am_mtp_emptyfolders_OBJECTS = emptyfolders.$(OBJEXT) util.$(OBJEXT)
mtp_emptyfolders_OBJECTS = $(am_mtp_emptyfolders_OBJECTS)
mtp_emptyfolders_LDADD = $(LDADD)
mtp_emptyfolders_DEPENDENCIES = ../src/libmtp.la
am_mtp_files_OBJECTS = files.$(OBJEXT) util.$(OBJEXT)
mtp_files_OBJECTS = $(am_mtp_files_OBJECTS)
mtp_files_LDADD = $(LDADD)
mtp_files_DEPENDENCIES = ../src/libmtp.la
am_mtp_filetree_OBJECTS = filetree.$(OBJEXT) util.$(OBJEXT)
mtp_filetree_OBJECTS = $(am_mtp_filetree_OBJECTS)
mtp_filetree_LDADD = $(LDADD)
mtp_filetree_DEPENDENCIES = ../src/libmtp.la
am_mtp_folders_OBJECTS = folders.$(OBJEXT) util.$(OBJEXT)
mtp_folders_OBJECTS = $(am_mtp_folders_OBJECTS)
mtp_folders_LDADD = $(LDADD)
mtp_folders_DEPENDENCIES = ../src/libmtp.la
am_mtp_format_OBJECTS = format.$(OBJEXT) util.$(OBJEXT)
mtp_format_OBJECTS = $(am_mtp_format_OBJECTS)
mtp_format_LDADD = $(LDADD)
mtp_format_DEPENDENCIES = ../src/libmtp.la
am_mtp_getplaylist_OBJECTS = getplaylist.$(OBJEXT) util.$(OBJEXT)
mtp_getplaylist_OBJECTS = $(am_mtp_getplaylist_OBJECTS)
mtp_getplaylist_LDADD = $(LDADD)
mtp_getplaylist_DEPENDENCIES = ../src/libmtp.la
am_mtp_newplaylist_OBJECTS = newplaylist.$(OBJEXT) util.$(OBJEXT)
mtp_newplaylist_OBJECTS = $(am_mtp_newplaylist_OBJECTS)
mtp_newplaylist_LDADD = $(LDADD)
mtp_newplaylist_DEPENDENCIES = ../src/libmtp.la
am_mtp_playlists_OBJECTS = playlists.$(OBJEXT) util.$(OBJEXT)
mtp_playlists_OBJECTS = $(am_mtp_playlists_OBJECTS)
mtp_playlists_LDADD = $(LDADD)
mtp_playlists_DEPENDENCIES = ../src/libmtp.la
am_mtp_reset_OBJECTS = reset.$(OBJEXT) util.$(OBJEXT)
mtp_reset_OBJECTS = $(am_mtp_reset_OBJECTS)
mtp_reset_LDADD = $(LDADD)
mtp_reset_DEPENDENCIES = ../src/libmtp.la
am_mtp_thumb_OBJECTS = thumb.$(OBJEXT) util.$(OBJEXT)
mtp_thumb_OBJECTS = $(am_mtp_thumb_OBJECTS)
mtp_thumb_LDADD = $(LDADD)
mtp_thumb_DEPENDENCIES = ../src/libmtp.la
am_mtp_tracks_OBJECTS = tracks.$(OBJEXT) util.$(OBJEXT)
mtp_tracks_OBJECTS = $(am_mtp_tracks_OBJECTS)
mtp_tracks_LDADD = $(LDADD)
mtp_tracks_DEPENDENCIES = ../src/libmtp.la
am_mtp_trexist_OBJECTS = trexist.$(OBJEXT) util.$(OBJEXT)
mtp_trexist_OBJECTS = $(am_mtp_trexist_OBJECTS)
mtp_trexist_LDADD = $(LDADD)
mtp_trexist_DEPENDENCIES = ../src/libmtp.la
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = $(mtp_albumart_SOURCES) $(mtp_albums_SOURCES) \
	$(mtp_connect_SOURCES) $(mtp_detect_SOURCES) \
	$(mtp_emptyfolders_SOURCES) $(mtp_files_SOURCES) \
	$(mtp_filetree_SOURCES) $(mtp_folders_SOURCES) \
	$(mtp_format_SOURCES) $(mtp_getplaylist_SOURCES) \
	$(mtp_newplaylist_SOURCES) $(mtp_playlists_SOURCES) \
	$(mtp_reset_SOURCES) $(mtp_thumb_SOURCES) \
	$(mtp_tracks_SOURCES) $(mtp_trexist_SOURCES)
DIST_SOURCES = $(mtp_albumart_SOURCES) $(mtp_albums_SOURCES) \
	$(mtp_connect_SOURCES) $(mtp_detect_SOURCES) \
	$(mtp_emptyfolders_SOURCES) $(mtp_files_SOURCES) \
	$(mtp_filetree_SOURCES) $(mtp_folders_SOURCES) \
	$(mtp_format_SOURCES) $(mtp_getplaylist_SOURCES) \
	$(mtp_newplaylist_SOURCES) $(mtp_playlists_SOURCES) \
	$(mtp_reset_SOURCES) $(mtp_thumb_SOURCES) \
	$(mtp_tracks_SOURCES) $(mtp_trexist_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /Users/richard/njb/hg/libmtp.hg/missing --run aclocal-1.10
AMTAR = ${SHELL} /Users/richard/njb/hg/libmtp.hg/missing --run tar
AR = ar
AS = as
AUTOCONF = ${SHELL} /Users/richard/njb/hg/libmtp.hg/missing --run autoconf
AUTOHEADER = ${SHELL} /Users/richard/njb/hg/libmtp.hg/missing --run autoheader
AUTOMAKE = ${SHELL} /Users/richard/njb/hg/libmtp.hg/missing --run automake-1.10
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -I/Users/richard/njb/hg/xnjb.hg/libusb -DUSE_DARWIN -Wall -Wmissing-prototypes
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = dlltool
DSYMUTIL = dsymutil
DUMPBIN = 
ECHO_C = \c
ECHO_N = 
ECHO_T = 
EGREP = /usr/bin/grep -E
EXEEXT = 
FGREP = /usr/bin/grep -F
GREP = /usr/bin/grep
HAVE_DOXYGEN = false
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/llvm-gcc-4.2/libexec/gcc/i686-apple-darwin11/4.2.1/ld
LDFLAGS = -L/Users/richard/njb/hg/xnjb.hg/libusb/.libs -framework CoreFoundation -framework IOKit -liconv
LIBICONV = 
LIBOBJS =  ${LIBOBJDIR}malloc$U.o ${LIBOBJDIR}memcmp$U.o ${LIBOBJDIR}lstat$U.o ${LIBOBJDIR}stat$U.o
LIBS = -lusb 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = lipo
LN_S = ln -s
LTLIBICONV = 
LTLIBOBJS =  ${LIBOBJDIR}malloc$U.lo ${LIBOBJDIR}memcmp$U.lo ${LIBOBJDIR}lstat$U.lo ${LIBOBJDIR}stat$U.lo
MAKEINFO = ${SHELL} /Users/richard/njb/hg/libmtp.hg/missing --run makeinfo
MKDIR_P = .././install-sh -c -d
NM = /usr/bin/nm
NMEDIT = nmedit
OBJDUMP = objdump
OBJEXT = o
OSFLAGS = -framework IOKit
OTOOL = otool
OTOOL64 = :
PACKAGE = libmtp
PACKAGE_BUGREPORT = libmtp-discuss@lists.sourceforge.net
PACKAGE_NAME = libmtp
PACKAGE_STRING = libmtp 1.1.0
PACKAGE_TARNAME = libmtp
PACKAGE_VERSION = 1.1.0
PATH_SEPARATOR = :
RANLIB = ranlib
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
UDEV = /lib/udev
UDEV_RULES = 39-libmtp.rules
VERSION = 1.1.0
abs_builddir = /Users/richard/njb/hg/libmtp.hg/examples
abs_srcdir = /Users/richard/njb/hg/libmtp.hg/examples
abs_top_builddir = /Users/richard/njb/hg/libmtp.hg
abs_top_srcdir = /Users/richard/njb/hg/libmtp.hg
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i386-apple-darwin11.1.0
build_alias = 
build_cpu = i386
build_os = darwin11.1.0
build_vendor = apple
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
effective_target = i386-apple-darwin11.1.0
exec_prefix = ${prefix}
host = i386-apple-darwin11.1.0
host_alias = 
host_cpu = i386
host_os = darwin11.1.0
host_vendor = apple
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = $(SHELL) /Users/richard/njb/hg/libmtp.hg/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(top_builddir)/./install-sh -c -d
ms_lib_exe = 
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_builddir = ..
top_srcdir = ..
mtp_connect_SOURCES = connect.c connect.h delfile.c getfile.c newfolder.c \
	sendfile.c sendtr.c pathutils.c pathutils.h \
	util.c util.h common.h

mtp_detect_SOURCES = detect.c util.c util.h common.h
mtp_tracks_SOURCES = tracks.c util.c util.h common.h
mtp_files_SOURCES = files.c util.c util.h common.h
mtp_folders_SOURCES = folders.c util.c util.h common.h
mtp_trexist_SOURCES = trexist.c util.c util.h common.h
mtp_playlists_SOURCES = playlists.c util.c util.h common.h
mtp_getplaylist_SOURCES = getplaylist.c util.c util.h common.h
mtp_newplaylist_SOURCES = newplaylist.c util.c util.h common.h
mtp_format_SOURCES = format.c util.c util.h common.h
mtp_albumart_SOURCES = albumart.c util.c util.h common.h
mtp_albums_SOURCES = albums.c util.c util.h common.h
mtp_emptyfolders_SOURCES = emptyfolders.c util.c util.h common.h
mtp_thumb_SOURCES = thumb.c util.c util.h common.h
mtp_reset_SOURCES = reset.c util.c util.h common.h
mtp_filetree_SOURCES = filetree.c util.c util.h common.h
AM_CPPFLAGS = -I$(top_builddir)/src
LDADD = ../src/libmtp.la
EXTRA_DIST = evolution-sync.sh
all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  examples/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  examples/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;
