=== taglib-1.6.1/tests/Makefile ===
# Makefile.in generated by automake 1.10.1 from Makefile.am.
# KDE tags expanded automatically by am_edit - $Revision: 483858 $ 
# tests/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgdatadir = $(datadir)/taglib
pkglibdir = $(libdir)/taglib
pkgincludedir = $(includedir)/taglib
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-apple-darwin10.3.0
host_triplet = i686-apple-darwin10.3.0
target_triplet = i686-apple-darwin10.3.0
TESTS = test_runner$(EXEEXT)
check_PROGRAMS = test_runner$(EXEEXT)
subdir = tests
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/admin/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h \
	$(top_builddir)/taglib/taglib_config.h
CONFIG_CLEAN_FILES =
am_test_runner_OBJECTS = main.$(OBJEXT) test_list.$(OBJEXT) \
	test_map.$(OBJEXT) test_mpeg.$(OBJEXT) \
	test_synchdata.$(OBJEXT) test_trueaudio.$(OBJEXT) \
	test_bytevector.$(OBJEXT) test_string.$(OBJEXT) \
	test_fileref.$(OBJEXT) test_id3v1.$(OBJEXT) \
	test_id3v2.$(OBJEXT) test_xiphcomment.$(OBJEXT) \
	test_riff.$(OBJEXT) test_aiff.$(OBJEXT) test_ogg.$(OBJEXT) \
	test_oggflac.$(OBJEXT)
#>- test_runner_OBJECTS = $(am_test_runner_OBJECTS)
#>+ 11
test_runner_final_OBJECTS = test_runner.all_cpp.o 
test_runner_nofinal_OBJECTS = main.$(OBJEXT) test_list.$(OBJEXT) \
	test_map.$(OBJEXT) test_mpeg.$(OBJEXT) \
	test_synchdata.$(OBJEXT) test_trueaudio.$(OBJEXT) \
	test_bytevector.$(OBJEXT) test_string.$(OBJEXT) \
	test_fileref.$(OBJEXT) test_id3v1.$(OBJEXT) \
	test_id3v2.$(OBJEXT) test_xiphcomment.$(OBJEXT) \
	test_riff.$(OBJEXT) test_aiff.$(OBJEXT) test_ogg.$(OBJEXT) \
	test_oggflac.$(OBJEXT)
test_runner_OBJECTS = $(test_runner_nofinal_OBJECTS)
#test_runner_OBJECTS = $(test_runner_final_OBJECTS)
test_runner_LDADD = $(LDADD)
test_runner_DEPENDENCIES = ../taglib/libtag.la
DEFAULT_INCLUDES = -I. -I$(top_builddir) -I$(top_builddir)/taglib
depcomp = $(SHELL) $(top_srcdir)/admin/depcomp
am__depfiles_maybe = depfiles
#>- CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
#>- 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 2
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
#>- LTCXXCOMPILE = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
#>- 	--mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
#>- 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 3
LTCXXCOMPILE = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
CXXLD = $(CXX)
#>- CXXLINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
#>- 	--mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
#>- 	$(LDFLAGS) -o $@
#>+ 3
CXXLINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = $(test_runner_SOURCES)
DIST_SOURCES = $(test_runner_SOURCES)
ETAGS = etags
CTAGS = ctags
#>- DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
#>+ 1
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) $(KDE_DIST)
ACLOCAL = ${SHELL} /Users/richard/njb/XNJB/taglib/admin/missing --run aclocal-1.10
AMTAR = ${SHELL} /Users/richard/njb/XNJB/taglib/admin/missing --run tar
AR = ar
AUTOCONF = $(SHELL) $(top_srcdir)/admin/cvs.sh configure || touch configure
AUTODIRS = 
AUTOHEADER = ${SHELL} /Users/richard/njb/XNJB/taglib/admin/missing --run autoheader
AUTOMAKE = ${SHELL} /Users/richard/njb/XNJB/taglib/admin/missing --run automake-1.10
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -O2  
CONF_FILES =  $(top_srcdir)/configure.in.in $(top_srcdir)/./bindings/c/configure.in.in $(top_srcdir)/configure.in.bot
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -Wno-long-long -Wundef -Wall -W -Wpointer-arith -O2 -Wno-non-virtual-dtor -fno-exceptions -fno-check-new -fno-common -fexceptions
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = /bin/echo
ECHO_C = \c
ECHO_N = 
ECHO_T = 
EGREP = /usr/bin/grep -E
ENABLE_PERMISSIVE_FLAG = -fpermissive
EXEEXT = 
F77 = 
FFLAGS = 
GREP = /usr/bin/grep
HAVE_GCC_VISIBILITY = 0
INSTALL = /usr/bin/install -c -p
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL} $(INSTALL_STRIP_FLAG)
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
KDE_CHECK_PLUGIN = $(KDE_PLUGIN) -rpath $(libdir)
KDE_NO_UNDEFINED = 
KDE_PLUGIN = -avoid-version -module -no-undefined $(KDE_NO_UNDEFINED) $(KDE_RPATH) $(KDE_MT_LDFLAGS)
KDE_USE_CLOSURE_FALSE = 
KDE_USE_CLOSURE_TRUE = #
KDE_USE_FINAL_FALSE = 
KDE_USE_FINAL_TRUE = #
KDE_USE_NMCHECK_FALSE = 
KDE_USE_NMCHECK_TRUE = #
LDFLAGS = 
LDFLAGS_AS_NEEDED = 
LDFLAGS_NEW_DTAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool --silent
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /Users/richard/njb/XNJB/taglib/admin/missing --run makeinfo
MKDIR_P = ../admin/install-sh -c -d
NOOPT_CFLAGS = -O0
NOOPT_CXXFLAGS = -O0
OBJEXT = o
PACKAGE = taglib
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
TOPSUBDIRS =  bindings examples taglib tests
USE_EXCEPTIONS = -fexceptions
USE_RTTI = 
VERSION = 1.6.1
WOVERLOADED_VIRTUAL = 
abs_builddir = /Users/richard/njb/XNJB/taglib/tests
abs_srcdir = /Users/richard/njb/XNJB/taglib/tests
abs_top_builddir = /Users/richard/njb/XNJB/taglib
abs_top_srcdir = /Users/richard/njb/XNJB/taglib
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = 
all_includes =  
all_libraries =  
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-apple-darwin10.3.0
build_alias = 
build_cpu = i686
build_os = darwin10.3.0
build_vendor = apple
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-apple-darwin10.3.0
host_alias = 
host_cpu = i686
host_os = darwin10.3.0
host_vendor = apple
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = $(SHELL) /Users/richard/njb/XNJB/taglib/admin/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(top_builddir)/admin/install-sh -c -d
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target = i686-apple-darwin10.3.0
target_alias = 
target_cpu = i686
target_os = darwin10.3.0
target_vendor = apple
top_builddir = ..
top_srcdir = ..
INCLUDES = \
        -I$(top_srcdir)/taglib\
        -I$(top_srcdir)/taglib/toolkit \
        -I$(top_srcdir)/taglib/trueaudio \
        -I$(top_srcdir)/taglib/mpeg \
        -I$(top_srcdir)/taglib/mpeg/id3v1 \
        -I$(top_srcdir)/taglib/mpeg/id3v2 \
        -I$(top_srcdir)/taglib/ogg \
        -I$(top_srcdir)/taglib/ogg/vorbis \
        -I$(top_srcdir)/taglib/ogg/flac \
        -I$(top_srcdir)/taglib/flac \
        -I$(top_srcdir)/taglib/riff \
        -I$(top_srcdir)/taglib/riff/aiff \
        -I$(top_srcdir)/taglib/mpeg/id3v2/frames

test_runner_SOURCES = \
	main.cpp \
	test_list.cpp \
	test_map.cpp \
	test_mpeg.cpp \
	test_synchdata.cpp \
	test_trueaudio.cpp \
	test_bytevector.cpp \
	test_string.cpp \
	test_fileref.cpp \
	test_id3v1.cpp \
	test_id3v2.cpp \
	test_xiphcomment.cpp \
	test_riff.cpp \
	test_aiff.cpp \
	test_ogg.cpp \
	test_oggflac.cpp

LDADD = ../taglib/libtag.la -lcppunit
#>- all: all-am
#>+ 1
all: docs-am  all-am

.SUFFIXES:
.SUFFIXES: .cpp .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
#>- 	@for dep in $?; do \
#>- 	  case '$(am__configure_deps)' in \
#>- 	    *$$dep*) \
#>- 	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
#>- 		&& exit 0; \
#>- 	      exit 1;; \
#>- 	  esac; \
#>- 	done; \
#>- 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  tests/Makefile'; \
#>- 	cd $(top_srcdir) && \
#>- 	  $(AUTOMAKE) --gnu  tests/Makefile
#>+ 12
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  tests/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  tests/Makefile
	cd $(top_srcdir) && perl admin/am_edit tests/Makefile.in
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

clean-checkPROGRAMS:
	@list='$(check_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  echo " rm -f $$p $$f"; \
	  rm -f $$p $$f ; \
	done
test_runner$(EXEEXT): $(test_runner_OBJECTS) $(test_runner_DEPENDENCIES) 
	@rm -f test_runner$(EXEEXT)
	$(CXXLINK) $(test_runner_OBJECTS) $(test_runner_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/main.Po
include ./$(DEPDIR)/test_aiff.Po
include ./$(DEPDIR)/test_bytevector.Po
include ./$(DEPDIR)/test_fileref.Po
include ./$(DEPDIR)/test_id3v1.Po
include ./$(DEPDIR)/test_id3v2.Po
include ./$(DEPDIR)/test_list.Po
include ./$(DEPDIR)/test_map.Po
include ./$(DEPDIR)/test_mpeg.Po
include ./$(DEPDIR)/test_ogg.Po
include ./$(DEPDIR)/test_oggflac.Po
include ./$(DEPDIR)/test_riff.Po
include ./$(DEPDIR)/test_string.Po
include ./$(DEPDIR)/test_synchdata.Po
include ./$(DEPDIR)/test_trueaudio.Po
include ./$(DEPDIR)/test_xiphcomment.Po

.cpp.o:
	$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(CXXCOMPILE) -c -o $@ $<

.cpp.obj:
	$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no \
