=== libnjb-2.2.6/debian/watch ===
version=2
http://heanet.dl.sourceforge.net/sourceforge/libnjb/libnjb-([0-9.]*)\.tar\.gz debian uupdate
